Stocks/Pricesbycustomer
Get prices for a large list of articles for a specific customer
POST variant of the customer price lookup. Use when the article list is too large for query string parameters.
AuthorizationBearer <token>
In: header
customer_idinteger
Customer ID
articlesarray<string>
List of article IDs
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/stocks/pricesbycustomer" \
-H "Content-Type: application/json" \
-d '{
"customer_id": 210922,
"articles": [
"ART001",
"ART002"
]
}'Empty
{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}